Delphi 2009 - JEDI JVCL - Windows 7

Odpowiedz Nowy wątek
2011-07-21 15:50
0

Witam.
Mam Windows'a 7, Delphi 2009 i najnowsza paczke komponentow JEDI.
Instalacja przebiegla pomyslnie, lecz gdy uruchomie Delphi nie widac wszystkich komponentow, nie wiem dlaczego.
Na Windowsie XP i Delphi 7 byly miedzy innymi komponenty Jvg*** teraz na Win7 i Delphi2009 ich nie ma..
Bardzo zalezy mi na komponencie JvgLanguageLoader. Nie moge go tam znalezc. Demo oczywiscie istnieje z przykladem itd, ale przy probie kompilacji dema mam error ze nie znaleziono komponentu..
Wiecie jak rozwiazac ten problem??
Czy lepiej bedzie programowac w D7 na Win 7 ??
Mam nadzieje ze mnie zrozumieliscie.

Z gory dzieki i pozdrawiam.



edytowany 1x, ostatnio: djkolo, 2011-07-21 15:55

Pozostało 580 znaków

2011-07-23 13:37
0

Spróbuj utworzyć tylko z jednego komponentu (np. tego JvgLanguageLoader) paczkę i ją zainstaluj.
Być może włączenie trybu zgodności z XP coś da, ale to mało prawdopodobne.
I ewentualna reinstalacja Delphi albo przerzucenie się na nowszego (chyba w tym roku nawet coś wyszło).

edytowany 2x, ostatnio: lukasz_kz, 2011-07-23 13:40

Pozostało 580 znaków

2011-07-23 19:02
0

Odpal delphi jako administrator, powinno pomóc (pewnie gdzieś nie może zapisać plików).


Nie pisz do mnie PM o czymś co nie dotyczy bezpośrednio mnie. | Nie rozmawiaj ze mną jeśli brak Ci kultury (wystarczy że mi brakuje) | Nie jestem zły, jestem po prostu zły.

Pozostało 580 znaków

2011-07-23 19:58
0

No najlepsze jest to ze na Delphi 2009 i Win7 wszystko instaluje się pomyślnie. Wszystkie komponenty sa oprócz tego JvgLanguageLoader. pomyślałem ze może nie jest on kompatybilny z D2009 wiec zainstalowałem Delphi 7 Full Lite juz kompatybilny z Win7 i to samo.. :( może ten komponent nie pójdzie pod Win 7 ?? sam nie wiem.. w JVCL jest demo Globus\LanguageLoader.. wrzuciłem tam plik JvgLanguageLoader.pas próbuje skompilować, wszystko niby ok, ale jak program się odpala to błędy :(
A co do UAC to wszystko juz próbowałem, dawałem zezwolenia na foldery i Uruchamiałem jako Admin, nic nie pomaga...
Jak macie pomysły jak ten błąd rozwiązać to proszę pomóżcie, bo zastanawiam się już nad powrotem do Win XP tam mi wszystko działało, i zależy mi na tym komponencie najbardziej.

P.S
Znacie jakiś inny łatwy komponent do zmiany wersji językowej??

Edit
Działa ;d Edytowałem lekko komponent, oczywiście musiała być tez zainstalowana paczka JVCL i teraz wszystko git :)
Dodałem załącznik dla tych co by potrzebowali ten komponent i tez spotkałby ich ten problem.
W załączniku jest również małe demo, spakowane w ZIP.
Pozdrawiam i dzięki za pomoc.



edytowany 4x, ostatnio: djkolo, 2011-07-23 21:53

Pozostało 580 znaków

Odpowiedz
Liczba odpowiedzi na stronę

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0